---
title: "rem"
excerpt: "Compute the remainder after dividing `num` by `div`."
layout: manual
---

Compute the remainder after dividing `num` by `div`.

If `num` is negative, the result will be too.

```js
rem(num: number, divisor: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` | The number which will be divided by `divisor`. | Yes |
| `divisor` | `number` | The number which will divide `num`. | Yes |

### Returns

`number` 


### Examples

```js
assertEqual(rem(7, divisor = 4), 3, 0.01, "remainder is 3")
assertEqual(rem(-7, divisor = 4), -3, 0.01, "remainder is -3")
assertEqual(rem(7, divisor = -4), 3, 0.01, "remainder is 3")
assertEqual(rem(6, divisor = 2.5), 1, 0.01, "remainder is 1")
assertEqual(rem(6.5, divisor = 2.5), 1.5, 0.01, "remainder is 1.5")
assertEqual(rem(6.5, divisor = 2), 0.5, 0.01, "remainder is 0.5")
```

![Rendered example of rem 0](data:image/png;base64,[encoded data, 26204 characters])


